it-swarm-ja.com

Ubuntu 10.04から12.04にアップグレードするときに、古いリリースを使用しないdo-release-upgrade?

私を憐れんでください、私は10.04から16.04までずっとアップグレードのはしごを登ろうとしています。最初のステップは12.04に到達することです。

/etc/apt/sources.listold-releasesを使用するように更新しました。

## main & restricted repositories
deb http://old-releases.ubuntu.com/ubuntu/ lucid main restricted
deb-src http://old-releases.ubuntu.com/ubuntu/ lucid main restricted

deb http://old-releases.ubuntu.com/ubuntu lucid-updates main restricted
deb-src http://old-releases.ubuntu.com/ubuntu lucid-updates main restricted

deb http://old-releases.ubuntu.com/ubuntu lucid-security main restricted
deb-src http://old-releases.ubuntu.com/ubuntu lucid-security main restricted

## universe repositories - uncomment to enable
deb http://old-releases.ubuntu.com/ubuntu/ lucid universe
deb-src http://old-releases.ubuntu.com/ubuntu/ lucid universe

deb http://old-releases.ubuntu.com/ubuntu/ lucid-updates universe
deb-src http://old-releases.ubuntu.com/ubuntu/ lucid-updates universe

deb http://old-releases.ubuntu.com/ubuntu lucid-security universe
deb-src http://old-releases.ubuntu.com/ubuntu lucid-security universe

apt-get updateおよびapt-get upgradeは、この変更で正常に機能します。

ただし、do-release-upgradeを介して12.04にアップグレードしようとすると、次のスピューで失敗します(以下を参照)。厄介なのは、old-releasesURLではなくarchiveURLをヒットしようとしていることのようです。それらはold-releasesである必要がありますか? archiveの代わりにシステムに強制的にそこを参照させる方法はありますか?

$ do-release-upgrade

WARNING:root:estimate_kernel_size_in_boot() returned '0'?

Reading cache

Checking package manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
Building data structures... Done
WARNING: Failed to read mirror file
Ign http://archive.ubuntu.com lucid-updates Release.gpg
Hit http://old-releases.ubuntu.com lucid Release.gpg
Hit http://old-releases.ubuntu.com lucid-updates Release.gpg
Hit http://old-releases.ubuntu.com lucid-security Release.gpg
Ign http://archive.ubuntu.com lucid-updates Release
Hit http://old-releases.ubuntu.com lucid Release
Hit http://old-releases.ubuntu.com lucid-updates Release
Ign http://archive.ubuntu.com lucid-updates/main Packages
Hit http://old-releases.ubuntu.com lucid-security Release
Ign http://archive.ubuntu.com lucid-updates/main Packages
Hit http://old-releases.ubuntu.com lucid/main Packages
Hit http://old-releases.ubuntu.com lucid/restricted Packages
Hit http://old-releases.ubuntu.com lucid/main Sources
Hit http://old-releases.ubuntu.com lucid/restricted Sources
Hit http://old-releases.ubuntu.com lucid/universe Packages
Hit http://old-releases.ubuntu.com lucid/universe Sources
Hit http://old-releases.ubuntu.com lucid-updates/main Packages
Hit http://old-releases.ubuntu.com lucid-updates/restricted Packages
Hit http://old-releases.ubuntu.com lucid-updates/main Sources
Hit http://old-releases.ubuntu.com lucid-updates/restricted Sources
Err http://archive.ubuntu.com lucid-updates/main Packages
  404  Not Found [IP: 91.189.88.149 80]
Hit http://old-releases.ubuntu.com lucid-updates/universe Packages
Hit http://old-releases.ubuntu.com lucid-updates/universe Sources
Hit http://old-releases.ubuntu.com lucid-security/main Packages
Hit http://old-releases.ubuntu.com lucid-security/restricted Packages   
Hit http://old-releases.ubuntu.com lucid-security/main Sources
Hit http://old-releases.ubuntu.com lucid-security/restricted Sources
Hit http://old-releases.ubuntu.com lucid-security/universe Packages
Hit http://old-releases.ubuntu.com lucid-security/universe Sources
Fetched 0B in 0s (0B/s)
ERROR:root:IOError/SystemError in cache.update(): 'W:Failed to fetch http://archive.ubuntu.com/ubuntu/dists/lucid-updates/main/binary-i386/Packages.gz  404  Not Found [IP: 91.189.88.149 80]
, E:Some index files failed to download, they have been ignored, or old ones used instead.'. Retrying (currentRetry: 0)
Hit http://old-releases.ubuntu.com lucid Release.gpg
Hit http://old-releases.ubuntu.com lucid-updates Release.gpg
Hit http://old-releases.ubuntu.com lucid-security Release.gpg
Ign http://archive.ubuntu.com lucid-updates Release.gpg
Hit http://old-releases.ubuntu.com lucid Release
Hit http://old-releases.ubuntu.com lucid-updates Release
Ign http://archive.ubuntu.com lucid-updates Release
Hit http://old-releases.ubuntu.com lucid-security Release
Ign http://archive.ubuntu.com lucid-updates/main Packages
Hit http://old-releases.ubuntu.com lucid/main Packages
Hit http://old-releases.ubuntu.com lucid/restricted Packages
Hit http://old-releases.ubuntu.com lucid/main Sources
Hit http://old-releases.ubuntu.com lucid/restricted Sources
Hit http://old-releases.ubuntu.com lucid/universe Packages
Hit http://old-releases.ubuntu.com lucid/universe Sources
Hit http://old-releases.ubuntu.com lucid-updates/main Packages
Hit http://old-releases.ubuntu.com lucid-updates/restricted Packages
Hit http://old-releases.ubuntu.com lucid-updates/main Sources
Hit http://old-releases.ubuntu.com lucid-updates/restricted Sources
Ign http://archive.ubuntu.com lucid-updates/main Packages
Err http://archive.ubuntu.com lucid-updates/main Packages
  404  Not Found [IP: 91.189.88.149 80]
Hit http://old-releases.ubuntu.com lucid-updates/universe Packages
Hit http://old-releases.ubuntu.com lucid-updates/universe Sources
Hit http://old-releases.ubuntu.com lucid-security/main Packages
Hit http://old-releases.ubuntu.com lucid-security/restricted Packages   
Hit http://old-releases.ubuntu.com lucid-security/main Sources
Hit http://old-releases.ubuntu.com lucid-security/restricted Sources
Hit http://old-releases.ubuntu.com lucid-security/universe Packages
Hit http://old-releases.ubuntu.com lucid-security/universe Sources
Fetched 0B in 0s (0B/s)
ERROR:root:IOError/SystemError in cache.update(): 'W:Failed to fetch http://archive.ubuntu.com/ubuntu/dists/lucid-updates/main/binary-i386/Packages.gz  404  Not Found [IP: 91.189.88.149 80]
, E:Some index files failed to download, they have been ignored, or old ones used instead.'. Retrying (currentRetry: 1)
Ign http://archive.ubuntu.com lucid-updates Release.gpg
Hit http://old-releases.ubuntu.com lucid Release.gpg
Hit http://old-releases.ubuntu.com lucid-updates Release.gpg
Hit http://old-releases.ubuntu.com lucid-security Release.gpg
Ign http://archive.ubuntu.com lucid-updates Release
Hit http://old-releases.ubuntu.com lucid Release
Hit http://old-releases.ubuntu.com lucid-updates Release
Ign http://archive.ubuntu.com lucid-updates/main Packages
Hit http://old-releases.ubuntu.com lucid-security Release
Ign http://archive.ubuntu.com lucid-updates/main Packages
Hit http://old-releases.ubuntu.com lucid/main Packages
Hit http://old-releases.ubuntu.com lucid/restricted Packages
Hit http://old-releases.ubuntu.com lucid/main Sources
Hit http://old-releases.ubuntu.com lucid/restricted Sources
Hit http://old-releases.ubuntu.com lucid/universe Packages
Hit http://old-releases.ubuntu.com lucid/universe Sources
Hit http://old-releases.ubuntu.com lucid-updates/main Packages
Hit http://old-releases.ubuntu.com lucid-updates/restricted Packages
Hit http://old-releases.ubuntu.com lucid-updates/main Sources
Hit http://old-releases.ubuntu.com lucid-updates/restricted Sources
Err http://archive.ubuntu.com lucid-updates/main Packages
  404  Not Found [IP: 91.189.88.149 80]
Hit http://old-releases.ubuntu.com lucid-updates/universe Packages
Hit http://old-releases.ubuntu.com lucid-updates/universe Sources
Hit http://old-releases.ubuntu.com lucid-security/main Packages
Hit http://old-releases.ubuntu.com lucid-security/restricted Packages   
Hit http://old-releases.ubuntu.com lucid-security/main Sources
Hit http://old-releases.ubuntu.com lucid-security/restricted Sources
Hit http://old-releases.ubuntu.com lucid-security/universe Packages
Hit http://old-releases.ubuntu.com lucid-security/universe Sources
Fetched 0B in 0s (0B/s)
ERROR:root:IOError/SystemError in cache.update(): 'W:Failed to fetch http://archive.ubuntu.com/ubuntu/dists/lucid-updates/main/binary-i386/Packages.gz  404  Not Found [IP: 91.189.88.149 80]
, E:Some index files failed to download, they have been ignored, or old ones used instead.'. Retrying (currentRetry: 2)
ERROR:root:doUpdate() failed completely
Reading package lists... Done
Building dependency tree
Reading state information... Done
Building data structures... Done
Fetched 0B in 0s (0B/s)
WARNING:root:estimate_kernel_size_in_boot() returned '0'?

Reading cache

Checking package manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
Building data structures... Done
Ign http://old-releases.ubuntu.com lucid InRelease
Ign http://old-releases.ubuntu.com lucid-updates InRelease
Ign http://old-releases.ubuntu.com lucid-security InRelease
Hit http://old-releases.ubuntu.com lucid Release.gpg
Hit http://old-releases.ubuntu.com lucid-updates Release.gpg
Hit http://old-releases.ubuntu.com lucid-security Release.gpg
Hit http://old-releases.ubuntu.com lucid Release
Hit http://old-releases.ubuntu.com lucid-updates Release
Hit http://old-releases.ubuntu.com lucid-security Release
Hit http://old-releases.ubuntu.com lucid/main Sources
Hit http://old-releases.ubuntu.com lucid/restricted Sources
Hit http://old-releases.ubuntu.com lucid/universe Sources
Hit http://old-releases.ubuntu.com lucid/main i386 Packages
Hit http://old-releases.ubuntu.com lucid/restricted i386 Packages
Hit http://old-releases.ubuntu.com lucid/universe i386 Packages
Ign http://old-releases.ubuntu.com lucid/main TranslationIndex
Ign http://old-releases.ubuntu.com lucid/restricted TranslationIndex
Ign http://old-releases.ubuntu.com lucid/universe TranslationIndex
Hit http://old-releases.ubuntu.com lucid-updates/main Sources
Hit http://old-releases.ubuntu.com lucid-updates/restricted Sources
Hit http://old-releases.ubuntu.com lucid-updates/universe Sources
Hit http://old-releases.ubuntu.com lucid-updates/main i386 Packages
Hit http://old-releases.ubuntu.com lucid-updates/restricted i386 Packages
Hit http://old-releases.ubuntu.com lucid-updates/universe i386 Packages 
Hit http://old-releases.ubuntu.com lucid-updates/main TranslationIndex  
Hit http://old-releases.ubuntu.com lucid-updates/restricted TranslationIndex
Hit http://old-releases.ubuntu.com lucid-updates/universe TranslationIndex
Hit http://old-releases.ubuntu.com lucid-security/main Sources
Hit http://old-releases.ubuntu.com lucid-security/restricted Sources
Hit http://old-releases.ubuntu.com lucid-security/universe Sources
Hit http://old-releases.ubuntu.com lucid-security/main i386 Packages
Hit http://old-releases.ubuntu.com lucid-security/restricted i386 Packages
Hit http://old-releases.ubuntu.com lucid-security/universe i386 Packages
Ign http://old-releases.ubuntu.com lucid-security/main TranslationIndex 
Ign http://old-releases.ubuntu.com lucid-security/restricted TranslationIndex
Ign http://old-releases.ubuntu.com lucid-security/universe TranslationIndex
Err http://old-releases.ubuntu.com lucid/main Translation-en

Err http://old-releases.ubuntu.com lucid/restricted Translation-en

Err http://old-releases.ubuntu.com lucid/universe Translation-en

Err http://old-releases.ubuntu.com lucid-security/main Translation-en   

Err http://old-releases.ubuntu.com lucid-security/restricted Translation-en

Err http://old-releases.ubuntu.com lucid-security/universe Translation-en

Err http://old-releases.ubuntu.com lucid/main Translation-en

Err http://old-releases.ubuntu.com lucid/restricted Translation-en

Err http://old-releases.ubuntu.com lucid/universe Translation-en

Err http://old-releases.ubuntu.com lucid-security/main Translation-en   

Err http://old-releases.ubuntu.com lucid-security/restricted Translation-en

Err http://old-releases.ubuntu.com lucid-security/universe Translation-en

Err http://old-releases.ubuntu.com lucid/main Translation-en

Err http://old-releases.ubuntu.com lucid/restricted Translation-en

Err http://old-releases.ubuntu.com lucid/universe Translation-en

Err http://old-releases.ubuntu.com lucid-security/main Translation-en 


Err http://old-releases.ubuntu.com lucid-security/restricted Translation-en

Err http://old-releases.ubuntu.com lucid-security/universe Translation-en

Err http://old-releases.ubuntu.com lucid/main Translation-en

Err http://old-releases.ubuntu.com lucid/restricted Translation-en

Err http://old-releases.ubuntu.com lucid/universe Translation-en

Err http://old-releases.ubuntu.com lucid-security/main Translation-en   

Err http://old-releases.ubuntu.com lucid-security/restricted Translation-en

Err http://old-releases.ubuntu.com lucid-security/universe Translation-en

Ign http://old-releases.ubuntu.com lucid/main Translation-en
Ign http://old-releases.ubuntu.com lucid/restricted Translation-en
Ign http://old-releases.ubuntu.com lucid/universe Translation-en
Ign http://old-releases.ubuntu.com lucid-security/main Translation-en   
Ign http://old-releases.ubuntu.com lucid-security/restricted Translation-en
Ign http://old-releases.ubuntu.com lucid-security/universe Translation-en
Fetched 0 B in 0s (0 B/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
Building data structures... Done

Updating repository information
WARNING: Failed to read mirror file
Ign http://archive.ubuntu.com precise InRelease
Get:1 http://archive.ubuntu.com precise-updates InRelease [55.7 kB]
Get:2 http://archive.ubuntu.com precise-security InRelease [55.7 kB]
Ign http://archive.ubuntu.com precise-updates InRelease
Ign http://archive.ubuntu.com precise-security InRelease
Hit http://archive.ubuntu.com precise Release.gpg
Ign http://archive.ubuntu.com precise-updates/main Sources/DiffIndex
Ign http://archive.ubuntu.com precise-updates/restricted Sources/DiffIndex
Ign http://archive.ubuntu.com precise-updates/universe Sources/DiffIndex
Ign http://archive.ubuntu.com precise-updates/main i386 Packages/DiffIndex
Ign http://archive.ubuntu.com precise-updates/restricted i386 Packages/DiffIndex
Ign http://archive.ubuntu.com precise-updates/universe i386 Packages/DiffIndex
Hit http://archive.ubuntu.com precise-updates/main TranslationIndex
Hit http://archive.ubuntu.com precise-updates/restricted TranslationIndex
Hit http://archive.ubuntu.com precise-updates/universe TranslationIndex 
Ign http://archive.ubuntu.com precise-security/main Sources/DiffIndex   
Ign http://archive.ubuntu.com precise-security/restricted Sources/DiffIndex
Ign http://archive.ubuntu.com precise-security/universe Sources/DiffIndex
Ign http://archive.ubuntu.com precise-security/main i386 Packages/DiffIndex
Ign http://archive.ubuntu.com precise-security/restricted i386 Packages/DiffIndex
Ign http://archive.ubuntu.com precise-security/universe i386 Packages/DiffIndex
Hit http://archive.ubuntu.com precise-security/main TranslationIndex
Hit http://archive.ubuntu.com precise-security/restricted TranslationIndex
Hit http://archive.ubuntu.com precise-security/universe TranslationIndex
Hit http://archive.ubuntu.com precise Release
Hit http://archive.ubuntu.com precise-updates/main Sources
Hit http://archive.ubuntu.com precise-updates/restricted Sources
Hit http://archive.ubuntu.com precise-updates/universe Sources
Hit http://archive.ubuntu.com precise-updates/main i386 Packages
Hit http://archive.ubuntu.com precise-updates/restricted i386 Packages
Hit http://archive.ubuntu.com precise-updates/universe i386 Packages
Hit http://archive.ubuntu.com precise-updates/main Translation-en
Hit http://archive.ubuntu.com precise-updates/restricted Translation-en 
Hit http://archive.ubuntu.com precise-updates/universe Translation-en   
Hit http://archive.ubuntu.com precise-security/main Sources
Hit http://archive.ubuntu.com precise-security/restricted Sources
Hit http://archive.ubuntu.com precise-security/universe Sources
Hit http://archive.ubuntu.com precise-security/main i386 Packages
Hit http://archive.ubuntu.com precise-security/restricted i386 Packages 
Hit http://archive.ubuntu.com precise-security/universe i386 Packages   
Hit http://archive.ubuntu.com precise-security/main Translation-en
Hit http://archive.ubuntu.com precise-security/restricted Translation-en
Hit http://archive.ubuntu.com precise-security/universe Translation-en  
Hit http://archive.ubuntu.com precise/main Sources
Hit http://archive.ubuntu.com precise/restricted Sources
Hit http://archive.ubuntu.com precise/universe Sources
Hit http://archive.ubuntu.com precise/main i386 Packages
Hit http://archive.ubuntu.com precise/restricted i386 Packages
Hit http://archive.ubuntu.com precise/universe i386 Packages
Hit http://archive.ubuntu.com precise/main TranslationIndex
Hit http://archive.ubuntu.com precise/restricted TranslationIndex
Hit http://archive.ubuntu.com precise/universe TranslationIndex
Hit http://archive.ubuntu.com precise/main Translation-en
Hit http://archive.ubuntu.com precise/restricted Translation-en
Hit http://archive.ubuntu.com precise/universe Translation-en
Fetched 111 kB in 0s (0 B/s)

Checking package manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
Building data structures... Done

Calculating the changes

Calculating the changes

Error authenticating some packages

It was not possible to authenticate some packages. This may be a
transient network problem. You may want to try again later. See below   
for a list of unauthenticated packages.

accountsservice
Apache2
<snip, many packages>
vim-runtime
vim-tiny
wget
xkb-data

Restoring original system state

Aborting
Reading package lists... Done
Building dependency tree
Reading state information... Done
Building data structures... Done
=== Command detached from window (Thu Jan 18 23:53:49 2018) ===
=== Command terminated with exit status 1 (Thu Jan 18 23:53:49 2018) ===
2
Ender

Ubuntu 10.04はサポートの終了を過ぎており、Ubuntu12.04のサポートが終了してから6か月以上経過していることに注意してください。私の推測では、すべてではないにしてもほとんどのミラーがすでにシャットダウンされていると思います。

この7年間でかなり大きな変更があったので(構成ファイルも変更されている可能性があります!)、プログラムと構成を保持したい場合は、次のようにします。

  1. ホームディレクトリと、プログラムと構成を含む可能性のある他のすべてのディレクトリをバックアップします(たとえば、構成を手動でいじる場合は/ etcなど)。
  2. Ubuntu16.04をクリーンインストールします
  3. ライブCD/USBから起動し、HDDをマウントして、バックアップでホームを上書きします。
  4. それが機能するかどうかをテストします。
  5. それが機能する場合は、3-5を繰り返します。それ以外の場合は6に進みます
  6. デバッグ。たぶん、問題の原因をトラブルシューティングするために、より少ないファイルを再インストールしてコピーします。
  7. 作業している場合は3に戻り、そうでない場合は6に戻ります。

申し訳ありませんが、プログラムと構成を保持する場合、これは非常に面倒で時間がかかるプロセスになります。

簡単な方法は(私がそれを行う方法)です:

  1. ドキュメント、写真などをバックアップします。
  2. あなたが持っているプログラムのリストを作りなさい。
  3. Ubuntu16.04をクリーンインストールします。
  4. プログラムを再インストールし、構成を手動で回復します
2
miravalls

私が見つけた回避策は、/etc/hostsファイルを変更してarchive.ubuntu.comold-releases.ubuntu.comと同じIPにリダイレクトできるようにすることです。これはdo-release-upgradeを十分に満足させるのに十分です。

0
Kristopher Ives